# Build on Nerfstudio Nerfacto

# Additional contributors: Yvette Lin & Xin-Yi Pan

# Please do not release report and code on course website as we are working towards a paper

# Quickstart:
Refer to Nerfstudio_README.md for installations / to create the environment

# Download our heater dataset:
[dataset](https://drive.google.com/drive/folders/1MmOmm02CVsoZCJ2GSoMsGBf9KlV_sffa?usp=drive_link)

# Download our calibration dataset:
[dataset](https://drive.google.com/drive/folders/1ZYKH3Zw78NF9YxQIZY82zmIvkIwNhk_b?usp=drive_link)

# Process Data 
File to process data from FLIR ONE PRO can be found: nerfstudio-thermal/nerfstudio/scripts/process_data.py 

For our method, we use the command 'rgbt' to include the additional thermal channel

Due to the difference between thermal and RGB resolution, we need to upsample our thermal images using: --upsample-thermal

In summary, use: 
```shell
python process_data.py rgbt --calibration-data $calibration_data --data $heater_data --upsample-thermal --output-dir $output
```

# Train and Evaluate
File that:
- splits the data into train and eval
- train
- evaluate

For nice visuals for the runs, ie the various metrics and nice plots, use: --vis viewer+wandb

Input data to this code should be the output from process_data.py

In summary, use:
```shell
python train.py thermal-nerfacto --vis viewer+wandb thermalnerf-data --data $input
```

# Contacts:
xinyipan@stanford.edu
